Bullet Collision Detection & Physics Library: btMultiBodyLinkFloatData Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btMultiBodyLinkFloatData Struct Reference

`#include <btMultiBody.h>`

Collaboration diagram for btMultiBodyLinkFloatData:
[legend]

## Public Attributes
btQuaternionFloatData | m_zeroRotParentToThis
btVector3FloatData | m_parentComToThisComOffset
btVector3FloatData | m_thisPivotToThisComOffset
btVector3FloatData | m_jointAxisTop [6]
btVector3FloatData | m_jointAxisBottom [6]
btVector3FloatData | m_linkInertia
int | m_dofCount
float | m_linkMass
int | m_parentIndex
int | m_jointType
float | m_jointPos [7]
float | m_jointVel [6]
float | m_jointTorque [6]
int | m_posVarCount
float | m_jointDamping
float | m_jointFriction
char * | m_linkName
char * | m_jointName
btCollisionObjectFloatData * | m_linkCollider
char * | m_paddingPtr

## Detailed Description

Definition at line 738 of file btMultiBody.h.

## Member Data Documentation

## § m_dofCount

int btMultiBodyLinkFloatData::m_dofCount

Definition at line 746 of file btMultiBody.h.

## § m_jointAxisBottom

btVector3FloatData btMultiBodyLinkFloatData::m_jointAxisBottom[6]

Definition at line 744 of file btMultiBody.h.

## § m_jointAxisTop

btVector3FloatData btMultiBodyLinkFloatData::m_jointAxisTop[6]

Definition at line 743 of file btMultiBody.h.

## § m_jointDamping

float btMultiBodyLinkFloatData::m_jointDamping

Definition at line 757 of file btMultiBody.h.

## § m_jointFriction

float btMultiBodyLinkFloatData::m_jointFriction

Definition at line 758 of file btMultiBody.h.

## § m_jointName

char* btMultiBodyLinkFloatData::m_jointName

Definition at line 761 of file btMultiBody.h.

## § m_jointPos

float btMultiBodyLinkFloatData::m_jointPos[7]

Definition at line 753 of file btMultiBody.h.

## § m_jointTorque

float btMultiBodyLinkFloatData::m_jointTorque[6]

Definition at line 755 of file btMultiBody.h.

## § m_jointType

int btMultiBodyLinkFloatData::m_jointType

Definition at line 749 of file btMultiBody.h.

## § m_jointVel

float btMultiBodyLinkFloatData::m_jointVel[6]

Definition at line 754 of file btMultiBody.h.

## § m_linkCollider

btCollisionObjectFloatData* btMultiBodyLinkFloatData::m_linkCollider

Definition at line 762 of file btMultiBody.h.

## § m_linkInertia

btVector3FloatData btMultiBodyLinkFloatData::m_linkInertia

Definition at line 745 of file btMultiBody.h.

## § m_linkMass

float btMultiBodyLinkFloatData::m_linkMass

Definition at line 747 of file btMultiBody.h.

## § m_linkName

char* btMultiBodyLinkFloatData::m_linkName

Definition at line 760 of file btMultiBody.h.

## § m_paddingPtr

char* btMultiBodyLinkFloatData::m_paddingPtr

Definition at line 763 of file btMultiBody.h.

## § m_parentComToThisComOffset

btVector3FloatData btMultiBodyLinkFloatData::m_parentComToThisComOffset

Definition at line 741 of file btMultiBody.h.

## § m_parentIndex

int btMultiBodyLinkFloatData::m_parentIndex

Definition at line 748 of file btMultiBody.h.

## § m_posVarCount

int btMultiBodyLinkFloatData::m_posVarCount

Definition at line 756 of file btMultiBody.h.

## § m_thisPivotToThisComOffset

btVector3FloatData btMultiBodyLinkFloatData::m_thisPivotToThisComOffset

Definition at line 742 of file btMultiBody.h.

## § m_zeroRotParentToThis

btQuaternionFloatData btMultiBodyLinkFloatData::m_zeroRotParentToThis

Definition at line 740 of file btMultiBody.h.

The documentation for this struct was generated from the following file:

- btMultiBody.h